Page MenuHomePhabricator

The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in (?) newer versions of Firefox
Closed, ResolvedPublic8 Story Points

Description

When the Save dialog is open, I should be able to press the <accesskey-save> keyboard shortcut (Ctrl+Alt+S) to trigger the "Save" button. Instead, when I press it, it just toggles the focus between the save button in the dialog and the "Save page" button in the upper-right hand corner.

I use Firefox 42 on Ubuntu.

This bug was originally reported in this comment on T76161.

Event Timeline

APerson created this task.Dec 11 2015, 1:24 AM
APerson raised the priority of this task from to Low.
APerson updated the task description. (Show Details)
APerson added a subscriber: APerson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2015, 1:24 AM
APerson set Security to None.Dec 11 2015, 1:25 AM
APerson added a subscriber: Pols12.
Jdforrester-WMF renamed this task from The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog to The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in Firefox [? for one user].Dec 15 2015, 8:22 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Can anyone else reproduce? Is this only on one wiki? Maybe there's a gadget somehow breaking it?

It's not a gadget's fault; I could reproduce the bug on testwiki, where I have no gadgets installed that interact with any VisualEditor stuff. I also found this possibly-related bug in Mozilla Support where a user complained about an access key sometimes toggling focus instead of triggering a click.

Thank you APerson for opening this ticket.

fr:user:VIGNERON can reproduce with Firefox 42 and with Firefox 43 (Windows).
I can reproduce with Firefox 42 (Fedora) and with Iceweasel 41.0.2 (Debian).

APerson renamed this task from The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in Firefox [? for one user] to The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in Firefox.Dec 19 2015, 1:02 AM
Jdforrester-WMF set the point value for this task to 8.May 10 2016, 1:24 AM
DLynch added a subscriber: DLynch.Dec 12 2016, 5:29 PM

I don't see this happening in Firefox (any more?). Its behavior might have been improved by 2bd34ce, which made the Trigger system handle the save dialog, rather than relying on browser accesskey.

Jdforrester-WMF changed the task status from Open to Stalled.Dec 12 2016, 5:38 PM

At home, I am still having this bug (Firefox 45.3)

I'm not having this bug anymore (FF 50.1.0 on Ubuntu.)

Jdforrester-WMF renamed this task from The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in Firefox to The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in (?) old versions of Firefox.Jan 9 2017, 7:50 PM
DLynch added a comment.Jan 9 2017, 7:55 PM

Actually... I do see this. Firefox 50.1.0 on MacOS.

In my previous comment, I realize now that I misunderstood the ticket to be saying "doesn't trigger the save dialog", rather than "doesn't trigger save when the save dialog is open". It's also definitely different behavior in Firefox from in Chrome.

DLynch added a comment.Jan 9 2017, 8:11 PM

I see what's going on, at least on MacOS. Our accesskey logic always uses the old Firefox accesskey. In FF14 they switched MacOS Firefox to ctrl+alt+[key]. So, we present it as ctrl+s in the command help dialog, even though that's not actually the accesskey shortcut for that browser any more.

Don't know what's happening with the original report for Ubuntu, though.

https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

Change 331397 had a related patch set uploaded (by DLynch):
jquery.accessKeyLabel: correct accesskey for MacOS Firefox >= 14

https://gerrit.wikimedia.org/r/331397

Jdforrester-WMF closed this task as Resolved.Jan 10 2017, 1:04 AM
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 331397 merged by jenkins-bot:
jquery.accessKeyLabel: correct accesskey for MacOS Firefox >= 14

https://gerrit.wikimedia.org/r/331397

Works fine with Firefox 50.0, Fedora.

With Firefox 50.1, Windows 10, fr:user:Vigneron say he has to press twice the shortcut to trigger Save button while Save dialog is open. Since the dialog is open, pressing only once should be enough.

Something to do with the summary field having focus? i.e. for me on MacOS/Firefox, the ctrl-alt-s shortcut winds up writing ß in the summary rather than triggering the accesskey.

Kaartic renamed this task from The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in (?) old versions of Firefox to The <accesskey-save> keyboard shortcut doesn't trigger save in the Save dialog in (?) newer versions of Firefox.Jan 5 2018, 5:54 AM
Kaartic reopened this task as Open.
Kaartic raised the priority of this task from Low to Needs Triage.
Kaartic added a subscriber: Kaartic.Jan 5 2018, 5:58 AM

I'm sorry to say this but I think it's broken again on Firefox. Alt+Shift+S does nothing inside the "Save your changes" modal for me, not even focusing the "Publish changes" button. For more context see, https://www.mediawiki.org/wiki/Topic:U52m0fn4n52eoxvm

I've documented my observations clearly in https://www.mediawiki.org/w/index.php?title=Topic:U52m0fn4n52eoxvm&topic_showPostId=u53zjubt15k3hrb6#flow-post-u53zjubt15k3hrb6

Environment details

Browser: Firefox Nightly 59.0a1
OS: Debian GNU/Linux 9 (stretch)
Skin: Vector (default)

I guess the following comment in the previously linked Mozilla support post seems to the reason why it's not working for me though I'm not 100% sure about it.

https://support.mozilla.org/en-US/questions/973280#answer-487529

Change 402874 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Change save dialog accesskey to be entirely off the trigger

https://gerrit.wikimedia.org/r/402874

Change 402874 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Change save dialog accesskey to be entirely off the trigger

https://gerrit.wikimedia.org/r/402874

DLynch closed this task as Resolved.Jan 18 2018, 4:17 PM
DLynch removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 18 2018, 4:17 PM